extends Node

const SCENE_MAIN_MENU: String = "res://scenes/main_menu.tscn"
const SCENE_ACT1_ROOM: String = "res://scenes/prologue/act1_room.tscn"
const SCENE_ACT1_KITCHEN: String = "res://scenes/prologue/act1_kitchen.tscn"
const SCENE_ACT2_INSTALL: String = "res://scenes/prologue/act2_install.tscn"


func change_scene(path: String) -> void:
	Input.mouse_mode = Input.MOUSE_MODE_VISIBLE
	get_tree().change_scene_to_file.call_deferred(path)


func go_main() -> void:
	change_scene(SCENE_MAIN_MENU)


func go_room() -> void:
	change_scene(SCENE_ACT1_ROOM)


func go_kitchen() -> void:
	change_scene(SCENE_ACT1_KITCHEN)


func go_install() -> void:
	change_scene(SCENE_ACT2_INSTALL)
